## vmaf-dmo 2.2.0

=== Makefile ===
all:
	cd third_party/libsvm && make lib

	meson setup libvmaf/build libvmaf --buildtype release -Denable_float=true && \
	ninja -vC libvmaf/build
	cd python && python3 setup.py build_ext --build-lib .

clean:
	cd third_party/libsvm && make clean && cd -
	rm -rf libvmaf/build
	rm python/vmaf/core/adm_dwt2_cy.c*

install:
	meson setup libvmaf/build libvmaf --buildtype release && \
	ninja -vC libvmaf/build install

=== debian/changelog ===
vmaf-dmo (2.2.0-dmo1+deb11u1) stable; urgency=medium

  * Should Build-Depends on xxd (Thanks to Евгений Прусаков for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Sep 2022 09:08:27 +0200

vmaf-dmo (2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jul 2021 14:39:48 +0200

vmaf-dmo (2.1.1-dmo3) unstable; urgency=medium

  * Set 'Multi-Arch: foreign' for vmaf package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jun 2021 08:30:38 +0200

vmaf-dmo (2.1.1-dmo2) unstable; urgency=medium

  * Add Multi-Arch support (Thanks to Damir Islamov for the bug report).
  * Fix mmissing libraries in Depends field.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jun 2021 07:40:18 +0200

vmaf-dmo (2.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 08:47:23 +0100

vmaf-dmo (2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Dec 2020 08:02:28 +0100

vmaf-dmo (2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * SUpport for pkl models has been removed thus remove the vmaf-models
    package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Dec 2020 08:45:20 +0100

vmaf-dmo (1.5.3-dmo2) unstable; urgency=medium

  * Build with python 3.9

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Nov 2020 14:36:15 +0100

vmaf-dmo (1.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Aug 2020 08:13:23 +0200

vmaf-dmo (1.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Jul 2020 16:13:00 +0200

vmaf-dmo (1.5.1-dmo2) unstable; urgency=medium

  * Add a libvmaf package for shared library.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Mar 2020 11:14:08 +0100

vmaf-dmo (1.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Feb 2020 09:39:32 +0100

vmaf-dmo (1.3.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Sep 2019 08:45:07 +0200

vmaf-dmo (1.3.14-dmo3) unstable; urgency=medium

  * Add python3-vmaf package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jun 2019 07:21:19 +0200

vmaf-dmo (1.3.14-dmo2) unstable; urgency=medium

  * vmaf-models package should be architecture all.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Mar 2019 09:35:39 +0100

vmaf-dmo (1.3.14-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Mar 2019 08:35:11 +0100

=== debian/control ===
Source: vmaf-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/Netflix/vmaf
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libsvm-dev, dh-sequence-python3, cython3,
 python3-sureal, python3, meson, nasm, libpython3-dev, xxd

Package: vmaf
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-vmaf
Description: VMAF models
 Besides the default VMAF model which predicts the quality of videos
 displayed on a 1080p HDTV in a living-room-like environment, VDK also
 includes a number of additional models, covering phone and 4KTV viewing
 conditions. Refer to the models page for more details.

Package: libvmaf1
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2)
Replaces: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Perceptual video quality assessment based on multi-method fusion.
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. VMAF Development Kit (VDK) is a software package that contains
 the VMAF algorithm implementation, as well as a set of tools that allows a
 user to train and test a custom VMAF model. Read this techblog post for an
 overview, or this post for the latest updates and tips for best practices.

Package: libvmaf-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libvmaf1 (= ${binary:Version}), ${misc:Depends}
Description: Perceptual video quality assessment based on multi-method fusion.
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. VMAF Development Kit (VDK) is a software package that contains
 the VMAF algorithm implementation, as well as a set of tools that allows a
 user to train and test a custom VMAF model. Read this techblog post for an
 overview, or this post for the latest updates and tips for best practices.

Package: python3-vmaf
Architecture: any
Section: python
Provides: ${python3:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: VMAF models
 Besides the default VMAF model which predicts the quality of videos
 displayed on a 1080p HDTV in a living-room-like environment, VDK also
 includes a number of additional models, covering phone and 4KTV viewing
 conditions. Refer to the models page for more details.

=== debian/rules ===
#!/usr/bin/make -f

# grep 'version :' libvmaf/meson.build

%:
	dh $@ -Smeson -Dlibvmaf -Blibvmaf/build

# git describe --tags --long  --always
# libvmaf/include/vcs_version.h

override_dh_auto_install-arch:
	dh_auto_install

	dh_auto_install \
	-O-Dpython -O-Spybuild

	dh_installdirs -pvmaf usr/bin

	cp python/vmaf/script/ffmpeg2vmaf.py		debian/tmp/usr/bin/ffmpeg2vmaf
	cp python/vmaf/script/run_cleaning_cache.py	debian/tmp/usr/bin/run_cleaning_cache
	cp python/vmaf/script/run_psnr.py		debian/tmp/usr/bin/run_psnr
	cp python/vmaf/script/run_testing.py		debian/tmp/usr/bin/run_testing
	cp python/vmaf/script/run_vmaf.py		debian/tmp/usr/bin/run_vmaf
	cp python/vmaf/script/run_vmaf_training.py	debian/tmp/usr/bin/run_vmaf_training

override_dh_clean:
	find -name *.dll -delete
	find -name *.o -delete
	find -name *.mex*64 -delete

	-rm -rf .pybuild

	dh_clean python/src/vmaf.egg-info/* python/vmaf/core/*.so \
	third_party/libsvm/*.so* python/vmaf/core/adm_dwt2_cy.c \
	matlab/STMAD_2011_MatlabCode/*. \
	matlab/strred/matlabPyrTools/MEX/corrDn.mexw32

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/Netflix/vmaf/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## vmaf-dmo 2.3.1

=== debian/changelog ===
vmaf-dmo (2.3.1-dmo2) unstable; urgency=medium

  * Should Build-Depends on xxd (Thanks to Евгений Прусаков for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Sep 2022 01:48:28 +0200

vmaf-dmo (2.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Apr 2022 08:00:09 +0200

vmaf-dmo (2.3.0-dmo3) unstable; urgency=medium

  * Add a vmaf-models package with default models.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Nov 2021 14:39:49 +0100

vmaf-dmo (2.3.0-dmo2) unstable; urgency=medium

  * Add Python 3.10 as supported version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Nov 2021 10:43:35 +0100

vmaf-dmo (2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Oct 2021 09:09:58 +0200

vmaf-dmo (2.2.1-dmo2) unstable; urgency=medium

  * Fix python3 dependencies for python3-vmaf package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Sep 2021 14:14:29 +0200

vmaf-dmo (2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 09:11:37 +0200

=== debian/control ===
Source: vmaf-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/Netflix/vmaf
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13), libsvm-dev, dh-sequence-python3, cython3,
 python3-sureal, python3-dev, meson, nasm, libpython3-dev, python3.10-numpy, xxd

Package: vmaf
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-vmaf
Description: Video Multi-Method Assessment Fusion.
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. This software package includes a stand-alone C library libvmaf and
 its wrapping Python library. The Python library also provides a set of
 tools that allows a user to train and test a custom VMAF model.
 .
 Read this tech blog post for an overview, this post for the tips of best
 practices, and this post for our latest efforts on speed optimization, new
 API design and the introduction of a codec evaluation-friendly NEG mode.
 .
 Also included in libvmaf are implementations of several other metrics:
 PSNR, PSNR-HVS, SSIM, MS-SSIM and CIEDE2000.

Package: libvmaf1
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2)
Replaces: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Multi-Method Assessment Fusion - runtime library
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. This software package includes a stand-alone C library libvmaf and
 its wrapping Python library. The Python library also provides a set of
 tools that allows a user to train and test a custom VMAF model.
 .
 Read this tech blog post for an overview, this post for the tips of best
 practices, and this post for our latest efforts on speed optimization, new
 API design and the introduction of a codec evaluation-friendly NEG mode.
 .
 Also included in libvmaf are implementations of several other metrics:
 PSNR, PSNR-HVS, SSIM, MS-SSIM and CIEDE2000.

Package: libvmaf-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libvmaf1 (= ${binary:Version}), ${misc:Depends}
Description: Video Multi-Method Assessment Fusion - development files
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. This software package includes a stand-alone C library libvmaf and
 its wrapping Python library. The Python library also provides a set of
 tools that allows a user to train and test a custom VMAF model.
 .
 Read this tech blog post for an overview, this post for the tips of best
 practices, and this post for our latest efforts on speed optimization, new
 API design and the introduction of a codec evaluation-friendly NEG mode.
 .
 Also included in libvmaf are implementations of several other metrics:
 PSNR, PSNR-HVS, SSIM, MS-SSIM and CIEDE2000.

Package: python3-vmaf
Architecture: any
Section: python
Provides: ${python3:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Video Multi-Method Assessment Fusion - python3 bindings
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. This software package includes a stand-alone C library libvmaf and
 its wrapping Python library. The Python library also provides a set of
 tools that allows a user to train and test a custom VMAF model.
 .
 Read this tech blog post for an overview, this post for the tips of best
 practices, and this post for our latest efforts on speed optimization, new
 API design and the introduction of a codec evaluation-friendly NEG mode.
 .
 Also included in libvmaf are implementations of several other metrics:
 PSNR, PSNR-HVS, SSIM, MS-SSIM and CIEDE2000.

Package: vmaf-models
Architecture: all
Depends: ${misc:Depends}
Description: Video Multi-Method Assessment Fusion - defaults models
 VMAF is a perceptual video quality assessment algorithm developed by
 Netflix. This software package includes a stand-alone C library libvmaf and
 its wrapping Python library. The Python library also provides a set of
 tools that allows a user to train and test a custom VMAF model.
 .
 Read this tech blog post for an overview, this post for the tips of best
 practices, and this post for our latest efforts on speed optimization, new
 API design and the introduction of a codec evaluation-friendly NEG mode.
 .
 Also included in libvmaf are implementations of several other metrics:
 PSNR, PSNR-HVS, SSIM, MS-SSIM and CIEDE2000.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,21 @@
 # git describe --tags --long  --always
 # libvmaf/include/vcs_version.h
 
-override_dh_auto_install-arch:
-	dh_auto_install
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	-Dbuilt_in_models=true
+
+#	exit 1
+
+override_dh_auto_build:
+	dh_auto_build -Smeson -Dlibvmaf
+	dh_auto_build -Spybuild -Dpython
+
+override_dh_auto_install:
+#	dh_auto_install
+
+	dh_auto_install \
+	-O-Dlibvmaf -O-Smeson
 
 	dh_auto_install \
 	-O-Dpython -O-Spybuild
@@ -23,6 +36,10 @@
 	cp python/vmaf/script/run_vmaf.py		debian/tmp/usr/bin/run_vmaf
 	cp python/vmaf/script/run_vmaf_training.py	debian/tmp/usr/bin/run_vmaf_training
 
+	dh_python3 -ppython3-vmaf --requires=python/requirements.txt
+
+	find debian -name __pycache__ | xargs rm -rf
+
 override_dh_clean:
 	find -name *.dll -delete
 	find -name *.o -delete
@@ -35,4 +52,5 @@
 	matlab/STMAD_2011_MatlabCode/*. \
 	matlab/strred/matlabPyrTools/MEX/corrDn.mexw32
 
+override_dh_python3:
 override_dh_auto_test:

## vmaf-dmo 3.0.0

=== debian/changelog ===
vmaf-dmo (3.0.0-dmo5) unstable; urgency=medium

  * Build with python3-numpy-api20

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Oct 2025 09:20:38 +0100

vmaf-dmo (3.0.0-dmo4) unstable; urgency=medium

  * Build with 'python3-numpy2-abi0 | python3-numpy-abi9'

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Feb 2025 15:59:37 +0100

vmaf-dmo (3.0.0-dmo3) unstable; urgency=medium

  * Build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 16:30:39 +0100

vmaf-dmo (3.0.0-dmo2) unstable; urgency=medium

  * Add upstream patch to fix buildwith GCC 14
  * Add a call to dh_numpy3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Oct 2024 10:11:37 +0200

vmaf-dmo (3.0.0-dmo1) unstable; urgency=medium

  * Build with python 3.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jun 2024 14:28:58 +0200

vmaf-dmo (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Dec 2023 09:12:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/Netflix/vmaf
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), libsvm-dev, dh-sequence-python3, cython3,
- python3-sureal, python3-dev, meson, nasm, libpython3-dev, python3.10-numpy, xxd
+ python3-sureal, python3-dev, meson, nasm [any-amd64 any-i386], libpython3-dev,
+ python3-numpy-api20, xxd, ninja-build, python3-libsvm, quilt, pybuild-plugin-pyproject,
 
 Package: vmaf
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, python3-vmaf
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-vmaf,
 Description: Video Multi-Method Assessment Fusion.
  VMAF is a perceptual video quality assessment algorithm developed by
  Netflix. This software package includes a stand-alone C library libvmaf and
@@ -25,13 +26,13 @@
  Also included in libvmaf are implementations of several other metrics:
  PSNR, PSNR-HVS, SSIM, MS-SSIM and CIEDE2000.
 
-Package: libvmaf1
+Package: libvmaf3
 Architecture: any
 Section: libs
 Multi-Arch: same
-Conflicts: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2)
-Replaces: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2)
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2),
+Replaces: libvmaf-dev (<= 1.5.1-dmo1), libvmaf (<= 1.5.1-dmo2),
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: Video Multi-Method Assessment Fusion - runtime library
  VMAF is a perceptual video quality assessment algorithm developed by
  Netflix. This software package includes a stand-alone C library libvmaf and
@@ -49,7 +50,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libvmaf1 (= ${binary:Version}), ${misc:Depends}
+Depends: libvmaf3 (= ${binary:Version}), ${misc:Depends},
 Description: Video Multi-Method Assessment Fusion - development files
  VMAF is a perceptual video quality assessment algorithm developed by
  Netflix. This software package includes a stand-alone C library libvmaf and
@@ -66,8 +67,7 @@
 Package: python3-vmaf
 Architecture: any
 Section: python
-Provides: ${python3:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 Description: Video Multi-Method Assessment Fusion - python3 bindings
  VMAF is a perceptual video quality assessment algorithm developed by
  Netflix. This software package includes a stand-alone C library libvmaf and
@@ -83,7 +83,7 @@
 
 Package: vmaf-models
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Video Multi-Method Assessment Fusion - defaults models
  VMAF is a perceptual video quality assessment algorithm developed by
  Netflix. This software package includes a stand-alone C library libvmaf and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smeson+ninja -Dlibvmaf -Blibvmaf/build --with quilt

# git describe --tags --long  --always
# libvmaf/include/vcs_version.h

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dbuilt_in_models=true

#	exit 1

override_dh_auto_build:
	dh_auto_build -Smeson+ninja -Dlibvmaf
	dh_auto_build -Spybuild -Dpython

override_dh_auto_install:
	dh_auto_install \
	-O-Dlibvmaf -O-Smeson+ninja

	dh_auto_install \
	-O-Dpython -O-Spybuild

execute_after_dh_install:
	dh_installdirs -pvmaf usr/bin

	dh_python3 -ppython3-vmaf --requires=python/requirements.txt

	dh_numpy3 --strict -ppython3-vmaf

	find debian -name __pycache__ | xargs rm -rf

override_dh_clean:
	-rm -rf .pybuild
	-rm -rf python/vmaf.egg-info

	dh_clean python/src/vmaf.egg-info/* python/vmaf/core/*.so \
	third_party/libsvm/*.so* python/vmaf/core/adm_dwt2_cy.c \
	python/build/temp.linux-x86_64-cpython-311/vmaf/core/adm_dwt2_cy.o \
	matlab/STMAD_2011_MatlabCode/*. \
	matlab/strred/matlabPyrTools/MEX/corrDn.mexw32

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/Netflix/vmaf/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
